Subject: Re: linux-next: build failure after merge of the mhi tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 19 Aug 2020 15:14:03 +1000

Hi all,

On Wed, 19 Aug 2020 09:34:55 +0530 Manivannan Sadhasivam <[email-masked]> wrote:
> 
> On Wed, Aug 19, 2020 at 01:48:00PM +1000, Stephen Rothwell wrote:
> > 
> > After merging the mhi tree, today's linux-next build (x86_64 allmodconfig)
> > failed like this:
> > 
> > I am not sure which commit(s) caused this.
> 
> Probably the below commit which built fine with gcc but failing with clang:

In case it matters, I build with gcc ...

> 92ce39feb722 bus: mhi: core: Introduce debugfs entries for MHI
> 
> I've dropped this and also one dependent commit from mhi-next branch.

We'll see tomorrow is that helps.
-- 
Cheers,
Stephen Rothwell